Jump to content

GeForce 210 on Catalina


AudioLab
 Share

Recommended Posts

I have tried to install this video card on Catalina 10.15.7 but with no success there are some patch to apply on the web but none works on my configuration. The strange fact is that on Mojave all works as well. There is some suggest? I have tried both clover and opencore but all end in kernel panic or infinite boot with refuse from amfi. I have disable Sip through any possible way. Please help me

Link to comment
Share on other sites

  • Administrators

Support for old Tesla cards stopped at High Sierra. No drivers were provided in subsequent macOS versions. The patch was a pretty easy thing in Mojave and early versions of Catalina up to 10.15.3. From 10.15.4, Apple changed things and the patch required to adjust/change many additional things (to cover for issues such as AMFI). See my (old) D630 guide for instance.

 

From 10.15.4 onwards, you'll need to use special patching tools such as dosdude1's Catalina patcher. You need the Tesla patch and the boot arg amfi_get_out_of_my_way=1 to bypass AppleMobileFileIIntegrity (AMFI) to be able to boot Catalina 10.15.4 and subsequent 10.15 updates.

https://dosdude1.com/catalina/

 

For Big Sur & later, you'll need to look for OCLP, which is a much better tool.

https://github.com/dortania/OpenCore-Legacy-Patcher/

 

If your system can run Catalina, you might just go for Big Sur or Monterey and apply the OCLP Tesla patch, that'd probably be better and easier; unless you absolutely need to run old and abandoned Catalina of course.

Link to comment
Share on other sites

On 1/2/2023 at 5:35 PM, Hervé said:

Support for old Tesla cards stopped at High Sierra. No drivers were provided in subsequent macOS versions. The patch was a pretty easy thing in Mojave and early versions of Catalina up to 10.15.3. From 10.15.4, Apple changed things and the patch required to adjust/change many additional things (to cover for issues such as AMFI). See my (old) D630 guide for instance.

 

Hi Hervé and thank you very much for your quick and detailed response.

Yes, I also tried to install on Catalina 10.15.3, using Chris1111's Legacy video patcher.  No success. Even if SIP is disabled, it goes into an endless loop on the first boot like "SIP is disabled. Allow dump for pid 25x...." and so on.
It's frustrating. I don't know if it's my motherboard that's the problem or the "knock-off" video card but it's an MSI not a Chinese manufacturer. 

 

On 1/2/2023 at 5:35 PM, Hervé said:

From 10.15.4 onwards, you'll need to use special patching tools such as dosdude1's Catalina patcher. You need the Tesla patch and the boot arg amfi_get_out_of_my_way=1 to bypass AppleMobileFileIIntegrity (AMFI) to be able to boot Catalina 10.15.4 and subsequent 10.15 updates.

https://dosdude1.com/catalina/

 

I will try also this method and let you know. 

 

On 1/2/2023 at 5:35 PM, Hervé said:

If your system can run Catalina, you might just go for Big Sur or Monterey and apply the OCLP Tesla patch, that'd probably be better and easier; unless you absolutely need to run old and abandoned Catalina of course.

Yes I think to but I am not much experti in OC. Could you be so kindly and gently to help me to prepare a config.plist for try install Big Sur? The need it's to execute a DAW software.

My specs are: gigabyte z77-d3h, 12GB DDR3 at 1600Mhz, CPU i7-2600K, MSI Geforce G210 1 Gb. Thank you so much for your kindly help.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...